qsos-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Qsos-commits] qsos/tools checktree/checktree syncglobaldesc/s...


From: Goneri Le Bouder
Subject: [Qsos-commits] qsos/tools checktree/checktree syncglobaldesc/s...
Date: Fri, 10 Nov 2006 22:39:56 +0000

CVSROOT:        /sources/qsos
Module name:    qsos
Changes by:     Goneri Le Bouder <goneri>       06/11/10 22:39:56

Modified files:
        tools/checktree: checktree 
        tools/syncglobaldesc: syncglobaldesc 

Log message:
        some error messages had been improved

CVSWeb URLs:
http://cvs.savannah.gnu.org/viewcvs/qsos/tools/checktree/checktree?cvsroot=qsos&r1=1.3&r2=1.4
http://cvs.savannah.gnu.org/viewcvs/qsos/tools/syncglobaldesc/syncglobaldesc?cvsroot=qsos&r1=1.3&r2=1.4

Patches:
Index: checktree/checktree
===================================================================
RCS file: /sources/qsos/qsos/tools/checktree/checktree,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -b -r1.3 -r1.4
--- checktree/checktree 19 May 2006 10:36:07 -0000      1.3
+++ checktree/checktree 10 Nov 2006 22:39:56 -0000      1.4
@@ -1,33 +1,30 @@
 #!/bin/sh
-# $Id: checktree,v 1.3 2006/05/19 10:36:07 goneri Exp $
+# $Id: checktree,v 1.4 2006/11/10 22:39:56 goneri Exp $
 # Gonéri Le Bouder
 
 DIR=`pwd`
-SYNCSECTIONDESC=$DIR"/../syncglobaldesc/syncglobaldesc"
-SHEETDIR="../../sheet"
-
+SYNCGLOBALDESC="$DIR/../syncglobaldesc/syncglobaldesc"
+CREATEEMPTYSHEET="$DIR/../createemptysheet/createemptysheet.pl"
+QSOSLINT="$DIR/../qsoslint/qsoslint"
+SHEETDIR="$DIR/../../sheet"
+INCLUDEDIR="$SHEETDIR/include"
 cd $SHEETDIR 
-if [ ! -f "global.xml" ]; then
-  echo "global.xml doesn't exist in this tree"
-  exit 1
-fi
 
 # First i try to sync file desc*
 
-for template in `find |grep  template|grep qsos$`;do
-  echo "*syncing template $template"
-  $SYNCSECTIONDESC -s -l -t global.xml -f $template|| exit 1
+for template in `find -name '*.qtpl'`;do
+  echo "* creating $template.qsostmp"
+  $CREATEEMPTYSHEET --include $INCLUDEDIR --qtpl $template > $template.qsostmp
+  $QSOSLINT $template.qsostmp || exit 1
+#  $SYNCGLOBALDESC -s -l -t global.xml -f $template|| exit 1
 done
 
-for dir in `find -mindepth 1 -maxdepth 1 -type d|grep -v CVS`;do 
+for dir in `find -mindepth 1 -maxdepth 1 -type d|grep -v CVS|grep -v 
include`;do 
   echo "*syncing `basename $dir` directory"
-  tpl=`find $dir|grep template|grep qsos$`
+  tpl=`find $dir -name '*.qsostmp'`
   for file in `find $dir -type f|grep -v CVS|grep -v template|grep qsos$`;do
     echo "  "`basename $file `
     echo $tpl $file
-    $SYNCSECTIONDESC --recreate --more --save --template $tpl --file $file || 
exit 1
+    $SYNCGLOBALDESC --recreate --more --save --template $tpl --file $file || 
exit 1
   done
 done
-
-
-exit 1

Index: syncglobaldesc/syncglobaldesc
===================================================================
RCS file: /sources/qsos/qsos/tools/syncglobaldesc/syncglobaldesc,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -b -r1.3 -r1.4
--- syncglobaldesc/syncglobaldesc       25 Oct 2006 15:14:00 -0000      1.3
+++ syncglobaldesc/syncglobaldesc       10 Nov 2006 22:39:56 -0000      1.4
@@ -1,7 +1,7 @@
-#!//usr/bin/perl -w
+#!/usr/bin/perl -w
 # this script is experimental and will be certainly rewrite
 # It depends on the CVS release of QSOS::Document
-# $Id: syncglobaldesc,v 1.3 2006/10/25 15:14:00 goneri Exp $
+# $Id: syncglobaldesc,v 1.4 2006/11/10 22:39:56 goneri Exp $
 use strict;
 
 use Getopt::Long;
@@ -12,10 +12,11 @@
 sub _help {
   my $msg = shift;
   print $msg."\n" if (defined $msg && $msg);
-  print "usage syncglobalsection -l -m -t template.xml -f sheet.qsos\n";
-  print "option:\n";
+  print "Merge template.xml sections description with sheet.qsos\n\n";
+  print "Usage: syncglobaldesc -l -m -s -r -t template.xml -f sheet.qsos\n";
+  print "Option:\n";
   print "\t--template -t : template\n";
-  print "\t--less -l : don't warning if template.xml have less sections than 
the sheet\n";
+  print "\t--less -l : don't warn if template.xml have less sections than the 
sheet\n";
   print "\t--recreate -d : print on STDOUT a full reformated from template 
sheet\n";
   print "\t--save -s : save the processed file\n";
   print "\t--renew -r : regenerate a sheet from the template and the current 
sheet\n";




reply via email to

[Prev in Thread] Current Thread [Next in Thread]